Bug 19074 - remove reference to draft-holsten-about-uri-scheme
remove reference to draft-holsten-about-uri-scheme
Status: RESOLVED REMIND
Product: HTML WG
Classification: Unclassified
Component: HTML5 spec
unspecified
PC All
: P2 normal
: ---
Assigned To: This bug has no owner yet - up for the taking
HTML WG Bugzilla archive list
http://www.w3.org/mid/4DFC5AC4.703010...
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-25 22:26 UTC by contributor
Modified: 2013-01-30 07:50 UTC (History)
7 users (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description contributor 2012-09-25 22:26:48 UTC
This was was cloned from bug 13719 as part of operation REMIND convergence.
Originally filed: 2011-08-10 02:51:00 +0000
Original reporter: Michael[tm] Smith <mike@w3.org>

================================================================================
 #0   Michael[tm] Smith                               2011-08-10 02:51:10 +0000 
--------------------------------------------------------------------------------
> Moreover, the [ABOUT] references the well-known 
> draft-holsten-about-uri-scheme which we have had a lot of discussions 
> on.  Considering that there isn't a strong decision on this draft, I'd 
> recommend W3C not to include this text in the proposed document.  
> Mentioning that "about:legacy-compat" is to be used for a specific 
> purpose in Section 8.1.1 (the same is with "about:srcdoc") seems fine 
> to me.
Currently, this Internet-Draft is being actively discussed at IETF; we 
haven't reached some stable consensus with regard to it.  See archives 
at http://www.ietf.org/mail-archive/web/ietf/current/maillist.html for 
these discussions.

[split out from bug 12986]
================================================================================
 #1   Anne                                            2011-08-14 09:42:55 +0000 
--------------------------------------------------------------------------------
EDITOR'S RESPONSE: This is an Editor's Response to your comment. If you are satisfied with this response, please change the state of this bug to CLOSED. If you have additional information and would like the editor to reconsider, please reopen this bug. If you would like to escalate the issue to the full HTML Working Group, please add the TrackerRequest keyword to this bug, and suggest title and text for the tracker issue; or you may create a tracker issue yourself, if you are able to do so. For more details, see this document: <http://dev.w3.org/html5/decision-policy/decision-policy.html>.

Status: Rejected
Change Description: no spec change
Rationale: Several features have a fundamental dependency on the about URL scheme. What do you suggest we reference instead?
================================================================================
 #2   Mykyta Yevstifeyev                              2011-08-14 09:57:40 +0000 
--------------------------------------------------------------------------------
(In reply to comment #1)
> EDITOR'S RESPONSE: This is an Editor's Response to your comment. If you are
> satisfied with this response, please change the state of this bug to CLOSED. If
> you have additional information and would like the editor to reconsider, please
> reopen this bug. If you would like to escalate the issue to the full HTML
> Working Group, please add the TrackerRequest keyword to this bug, and suggest
> title and text for the tracker issue; or you may create a tracker issue
> yourself, if you are able to do so. For more details, see this document:
> <http://dev.w3.org/html5/decision-policy/decision-policy.html>.
> 
> Status: Rejected
> Change Description: no spec change
> Rationale: Several features have a fundamental dependency on the about URL
> scheme. What do you suggest we reference instead?

I'll change this to REOPENED now; please consider the following. The authors of this draft reveled unwillingness o continue work on it (this is at least what I've deduced from several month co-working with them trying to help with preparation of new version to consider IETF Last Call comments). Currently IETF APPSAWG working group is going to overtake this work; the new draft is going to have rather different concept.

What I propose is to leave all mentions of 'about' URIs in the HTML spec but make no references. When 'about' URI scheme processes, it will make all necessary assignments; now please mention "about:<...> is used in <...> and about:<...> is used in <...>".
================================================================================
 #3   Anne                                            2011-08-14 10:17:24 +0000 
--------------------------------------------------------------------------------
What do you mean different concept? You cannot change how it works.
================================================================================
 #4   Mykyta Yevstifeyev                              2011-08-14 10:22:54 +0000 
--------------------------------------------------------------------------------
(In reply to comment #3)
> What do you mean different concept? You cannot change how it works.

I meant that the document is very likely to be rewritten "from scratch". Most important, the current system of categorization may change significantly. Instead of making normative reference to the document whose contents aren't exactly known, you could better declare their use; however, when there is some consensus within the IETF on what should the 'about' URI scheme spec be, we'll fit HTML-used URIs to such document (or vice versa).
================================================================================
 #5   Anne                                            2011-08-14 10:27:14 +0000 
--------------------------------------------------------------------------------
EDITOR'S RESPONSE: This is an Editor's Response to your comment. If you are satisfied with this response, please change the state of this bug to CLOSED. If you have additional information and would like the editor to reconsider, please reopen this bug. If you would like to escalate the issue to the full HTML Working Group, please add the TrackerRequest keyword to this bug, and suggest title and text for the tracker issue; or you may create a tracker issue yourself, if you are able to do so. For more details, see this document: <http://dev.w3.org/html5/decision-policy/decision-policy.html>.

Status: Rejected
Change Description: no spec change
Rationale: That is busy work. Please reopen when the IETF is done with its work on the about URL scheme and then we'll make the relevant changes.
================================================================================